WDC(4)

NAME
wdc - WD100x compatible hard disk controllers driver

SYNOPSIS

  ISA and ISA plug'n'play controllers
wdc0 at isa? port 0x1f0 irq 14 flags 0x00
wdc1 at isa? port 0x170 irq 15 flags 0x00
wdc* at isapnp?

  PCMCIA controllers
wdc* at pcmcia? function ?

  arm32
wdc0 at pioc? offset 0x01f0 irq 9

  atari
wdc0 at mainbus0

DESCRIPTION
The wdc driver provides the basic functions for the wd and atapi drivers. This driver supports IDE and EIDE controllers, as well as MFM, RLL and ESDI on the ISA bus. PCI IDE controllers in legaty mode are also supported, but the pciide(4) driver may provide more functionalities. For the ISA front-end, the 0x01 flag enables the 32 bits I/O negociation in the driver. This is known to cause problems with some motherboards.

SEE ALSO
intro(4) wd(4) scsi(4) pciide(4)